Bug 25488 - tdfx_dri doesn't match "4tc3" release of other XFree RPMs
Summary: tdfx_dri doesn't match "4tc3" release of other XFree RPMs
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 7.0tc
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-01 16:15 UTC by Jay Turner
Modified: 2015-01-07 23:42 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2001-02-07 21:47:12 UTC


Attachments (Terms of Use)

Description Glen Foster 2001-02-01 16:15:42 UTC
The following lines are an excerpt of an automated tree-check against the
7.0tc distribution, and reveal the flaw 

tdfx_dri-4.0.1-1.i386.rpm: ver/rel 4.0.1-1
tdfx_dri: Src=XFree86-4.0.1-1.src.rpm
WARNING: XFree86-4.0.1-1.src.rpm not found!
TRY #1: filename-typo mask "XFree86-4.0.1-1*.src.rpm"
WARNING: TRY #1 (filename-typo mask) failed
TRY #2: diff-release mask "XFree86-4.0.1-*.src.rpm"
Found tdfx_dri source = XFree86-4.0.1-4tc3.src.rpm {2}
Test-Failure: tdfx_dri src/binary version mismatch {2}

... interestingly enough, all the other XFree86 binary packages use the
4tc3 version in both the filenames and in the revision information listed
in the rpm-headers.  This needs to be fixed before the release can be
declared "gold".

Comment 1 Jarod Wilson 2001-02-05 01:47:56 UTC
This package is included in the 'preview' directly - was directly inherited from
the 7.0 release.

Do not have any information about where/how this package was created. Will
remove it from the TC release as the 'preview's are deemed non-essential.

Comment 2 Brock Organ 2001-02-07 18:22:57 UTC
it looks like we are still missing the srpm:

$ find /mnt/redhat/test/7.0tc-upload/ -name "*tdfx_dri*rpm"
/mnt/redhat/test/7.0tc-upload/i386/preview/RPMS/tdfx_dri-4.0.1-1.i386.rpm
/mnt/redhat/test/7.0tc-upload/i386-disc2/preview/RPMS/tdfx_dri-4.0.1-1.i386.rpm
$ 


Comment 3 Brock Organ 2001-02-07 21:47:04 UTC
The tdfx_dri package was built against a different XFree86 than is available:

$ find . -name "*tdfx*rpm"
./i386/preview/RPMS/tdfx_dri-4.0.1-1.i386.rpm
./i386-disc2/preview/RPMS/tdfx_dri-4.0.1-1.i386.rpm
$ rpm -qpi ./i386/preview/RPMS/tdfx_dri-4.0.1-1.i386.rpm
Name        : tdfx_dri                     Relocations: (not relocateable)
Version     : 4.0.1                             Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Fri 25 Aug 2000 03:18:54
AM EDT
Install date: (not installed)               Build Host: test148.test.redhat.com
Group       : User Interface/X Hardware Support   Source RPM:
XFree86-4.0.1-1.src.rpm
Size        : 2112705                          License: XFree86
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : 3Dfx DRI module
Description :
tdfx_dri contains the DRI module for the 3Dfx Voodoo series of graphics
cards. This requires the Glide3 library.
$ find . -name "XFree86-4*rpm"
./i386/RedHat/RPMS/XFree86-4.0.1-4tc4.i386.rpm
./i386-disc1/RedHat/RPMS/XFree86-4.0.1-4tc4.i386.rpm
./i386-srpms/SRPMS/XFree86-4.0.1-4tc4.src.rpm
./SRPMS/SRPMS/XFree86-4.0.1-4tc4.src.rpm
$ 



Comment 4 Jarod Wilson 2001-02-08 05:18:07 UTC
preview directory is being removed - mismatch version goes with it.


Note You need to log in before you can comment on or make changes to this bug.